# Class JmolConsole

java.lang.Object
org.jmol.console.GenericConsole
org.jmol.console.JmolConsole

All Implemented Interfaces:
  `ActionListener, WindowListener, EventListener, JmolAppConsoleInterface, JmolCallbackListener`

Direct Known Subclasses:
  `AppConsole, AppletConsole`

public abstract class JmolConsole extends GenericConsole implements ActionListener, WindowListener

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Container`
`externalContainer`
`protected ScriptEditor`
`scriptEditor`
`protected JFrame`
`vwrFrame`

### Fields inherited from class GenericConsole

`clearInButton, clearOutButton, defaultMessage, editButton, historyButton, input, label1, labels, loadButton, menuMap, nTab, output, pageUpBuffer, runButton, stateButton, vwr`

## Constructor Summary

Constructors
Constructor
Description
`JmolConsole()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`protected void`
`addWindowListener()`
/////////////////////////////////////////////////////////////
`void`
`dispose()`
`protected Container`
`getPane()`
`JmolScriptEditorInterface`
`getScriptEditor()`
`protected boolean`
`isMenuItem(Object source)`
`Object`
`newJMenu(String key)`
`Object`
`newJMenuItem(String key)`
`protected String`
`nextFileName(String stub, int nTab)`
`protected JmolAbstractButton`
`setButton(String label)`
`protected void`
`setTitle()`
`void`
`setVisible(boolean isVisible)`
`void`
`updateFontSize()`
`protected void`
`updateLabels()`
`void`
`windowActivated(WindowEvent we)`
`void`
`windowClosed(WindowEvent we)`
`void`
`windowClosing(WindowEvent we)`
`void`
`windowDeactivated(WindowEvent we)`
`void`
`windowDeiconified(WindowEvent we)`
`void`
`windowIconified(WindowEvent we)`
`void`
`windowOpened(WindowEvent we)`

### Methods inherited from class GenericConsole

`addButton, clearContent, completeCommand, destroyConsole, displayConsole, doAction, execute, getCommandString, getLabel, getLabel1, getLabelWithoutMnemonic, getText, layoutWindow, map, notifyCallback, notifyEnabled, processKey, recallCommand, sendConsoleEcho, sendConsoleMessage, setAbstractButtonLabels, setCallbackFunction, setLabels, setupLabels, setupLabels0, setViewer, trimGUI, zap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface JmolAppConsoleInterface

`regainFocus, start`

## Field Details

### vwrFrame

protected JFrame vwrFrame

### externalContainer

protected Container externalContainer

### scriptEditor

protected ScriptEditor scriptEditor

## Constructor Details

### JmolConsole

public JmolConsole()

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `JmolAppConsoleInterface`
Specified by:
  `dispose` in class `GenericConsole`

### getPane

protected Container getPane()

### setTitle

protected void setTitle()

Specified by:
  `setTitle` in class `GenericConsole`

### setVisible

public void setVisible(boolean isVisible)

Specified by:
  `setVisible` in interface `JmolAppConsoleInterface`
Specified by:
  `setVisible` in class `GenericConsole`

### setButton

protected JmolAbstractButton setButton(String label)

Specified by:
  `setButton` in class `GenericConsole`

### updateLabels

protected void updateLabels()

Overrides:
  `updateLabels` in class `GenericConsole`

### getScriptEditor

public JmolScriptEditorInterface getScriptEditor()

Specified by:
  `getScriptEditor` in interface `JmolAppConsoleInterface`
Specified by:
  `getScriptEditor` in class `GenericConsole`

### nextFileName

protected String nextFileName(String stub, int nTab)

Specified by:
  `nextFileName` in class `GenericConsole`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### isMenuItem

protected boolean isMenuItem(Object source)

Specified by:
  `isMenuItem` in class `GenericConsole`

### addWindowListener

protected void addWindowListener()
/////////////////////////////////////////////////////////////

### windowActivated

public void windowActivated(WindowEvent we)

Specified by:
  `windowActivated` in interface `WindowListener`
Parameters:
  `we` -

### windowClosed

public void windowClosed(WindowEvent we)

Specified by:
  `windowClosed` in interface `WindowListener`

### windowClosing

public void windowClosing(WindowEvent we)

Specified by:
  `windowClosing` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent we)

Specified by:
  `windowDeactivated` in interface `WindowListener`
Parameters:
  `we` -

### windowDeiconified

public void windowDeiconified(WindowEvent we)

Specified by:
  `windowDeiconified` in interface `WindowListener`
Parameters:
  `we` -

### windowIconified

public void windowIconified(WindowEvent we)

Specified by:
  `windowIconified` in interface `WindowListener`
Parameters:
  `we` -

### windowOpened

public void windowOpened(WindowEvent we)

Specified by:
  `windowOpened` in interface `WindowListener`
Parameters:
  `we` -

### newJMenu

public Object newJMenu(String key)

Specified by:
  `newJMenu` in interface `JmolAppConsoleInterface`

### newJMenuItem

public Object newJMenuItem(String key)

Specified by:
  `newJMenuItem` in interface `JmolAppConsoleInterface`

### updateFontSize

public void updateFontSize()